namespace EDPlayerJournal.Entries; 

public class FactionKillBondEntry : Entry {
    /// <summary>
    /// Reward given
    /// </summary>
    public ulong Reward { get; set; } = 0;
    /// <summary>
    /// Faction that awarded the kill bond
    /// </summary>
    public string? AwardingFaction { get; set; }
    /// <summary>
    /// Localised string of the awarding faction if available
    /// </summary>
    public string? AwardingFactionLocalised { get; set; }
    /// <summary>
    /// Victim faction, internal name
    /// </summary>
    public string? VictimFaction { get; set; }
    /// <summary>
    /// Localised name of the victim faction
    /// </summary>
    public string? VictimFactionLocalised { get; set; }

    protected override void Initialise() {
        Reward = JSON.Value<ulong?>("Reward") ?? 0;
        AwardingFaction = JSON.Value<string>("AwardingFaction");
        AwardingFactionLocalised = JSON.Value<string>("AwardingFaction_Localised");
        VictimFaction = JSON.Value<string>("VictimFaction");
        VictimFactionLocalised = JSON.Value<string>("VictimFaction_Localised");
    }
}
